%global fontname wallpoet
%global fontconf 61-%{fontname}-fonts.conf
%global alphatag 20140916hg


Name:          %{fontname}-fonts
Version:       1.000
Release:       0.7.%{alphatag}%{?dist}
Summary:       Wallpoet font by Lars Berggren
License:       OFL
URL:           https://www.google.com/fonts/specimen/Wallpoet
Source0:       https://googlefontdirectory.googlecode.com/hg/ofl/wallpoet/src/Wallpoet-Regular-TTF.sfd
Source1:       https://googlefontdirectory.googlecode.com/hg/ofl/wallpoet/OFL.txt
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: fontforge
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
Wallpoet is inspired by the often political, short, sometimes provocative,
sometimes funny or both, messages found on city walls, sprayed by some anonymous
agent. Words, images or both!

The idea behind the font is making a font with a bit of punch, but still easy to
use for template graffiti. Print, cut & spray - being the key concept. That's
why it has no curves and off course is a stencil font.

With the font, Lars wants to pay respect to the urban guerilla scene, which has
inspired him so often with it's total disrespect for the traditional and
ingenious ability to break out of the traditional box.


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} .


%build
fontforge -lang=ff -script "-" *.sfd <<_EOF
i = 1
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5)
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++
endloop
_EOF
ttname --copyright="$(head -n1 OFL.txt)" --license="$(cat OFL.txt)" --license-url="http://scripts.sil.org/OFL" *.ttf || exit 0

%install
install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt *.pdf


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.7.20140916hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.6.20140916hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.5.20140916hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.4.20140916hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.3.20140916hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-0.2.20140916hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Sep 16 2014 Julien Enselme <jujens@jujens.eu> - 1.000-0.1.20140916hg
- Initial packaging.
